org.gradle.sonar.runner.tasks

## Class SonarRunner

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.sonar.runner.tasks.SonarRunner

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class SonarRunner
      extends DefaultTask

  Analyses one or more projects with the Sonar Runner.

  Can be used with or without the `"sonar-runner"` plugin. If used together with the plugin, `sonarProperties` will be populated with defaults based on Gradle's object model and user-defined values configured via `SonarRunnerExtension` and `SonarRunnerRootExtension`. If used without the plugin, all properties have to be configured manually.

  For more information on how to configure the Sonar Runner, and on which properties are available, see the Sonar Runner documentation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SonarRunner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gradle.api.internal.file.FileResolver` | `getFileResolver()`
    `JavaForkOptions` | `getForkOptions()` Options for the analysis process.
    `Map<String,Object>` | `getSonarProperties()` The String key/value pairs to be passed to the Sonar Runner.
    `void` | `run()`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, executeWithoutThrowingTaskFailure, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SonarRunner

          public SonarRunner()

  - ### Method Detail

    - #### run

          public void run()

    - #### getForkOptions

          public JavaForkOptions getForkOptions()

      Options for the analysis process. Configured via `SonarRunnerRootExtension.forkOptions`.

    - #### getSonarProperties

          @Input
          public Map<String,Object> getSonarProperties()

      The String key/value pairs to be passed to the Sonar Runner. `null` values are not permitted.

    - #### getFileResolver

          @Inject
          protected org.gradle.api.internal.file.FileResolver getFileResolver()